Description

When exporting vector layers, it should be available as an option to allow the creation of layername based on certain DB fields.
This is useful when within a layer are different classified information, but which should each represent a separate layer in the DXF.

Associated revisions

Revision b26d9ac8 - 2015-07-23 02:07 PM - Jiirgen Fischer

add column headers and tooltips to dxf export dialog (fixes #13138)

History

#1 - 2015-07-22 05:45 AM - Andreas Neumann

Hi Joerg,

This is already possible. When you use the "Project" -> "DXF Export" function you can choose an attribute in each layer to be exported. This attribute is

then used to determine the DXF layer.

Please note that DXF is a special format, not a regular GIS format. That's why there is the separate DXF export functionality.

Hope this satisfies you needs? If yes, please close the bug.

Andreas

#2 - 2015-07-22 10:14 PM - Joerg Hippe

Hi Andreas,

| have expressed myself probably a bit inconvenient. What | mean is this:

I have for example a layer with data of the classified road network of Saxony. About the database field "class" distinction is in highway, national highway,
state highway and county road. For further processing, | need a DXF where each road class should return exactly one DXF layer.

Currently, | appeals myself as follows:

I have the plugin "Split Layers By Field" installed. So that | separate the layers in QGIS according to my wishes. Then | can via Project -> DXF Export to
export the resulting layer. Then | have to delete it, because | have only needed temporarily these layers in QGIS.

Very practical would it be if the functionality of the plugin at DXF export would directly usable.

This is surely also useful for other types of data to be exported.

Jorg

the same in german:
Hallo Andreas,

ich habe mich wahrscheinlich etwas unglinstig ausgedriickt. Was ich meine ist folgendes:

Ich habe beispielsweise EINEN Layer mit Daten des klassifizierten StraBennetzes von Sachsen. Uber das Datenbankfeld "KLASSE" wird unterschieden in
Autobahn, BundesstraBBe, StaatsstraBe und KreisstraBe. Zur Weiterverarbeitung benétige ich eine DXF, wo jede StraBenklasse genau ein DXF-Layer
ergeben soll.

Momentan behelfe ich mir folgendermaBen:

Ich habe das Plugin "Split Layers By Field" installiert. Damit trenne ich den Layer in QGIS entsprechend meinen Wiinschen auf. Dann kann ich per Projekt
-> DXF-Export die entstandenen Layer exportieren. AnschlieBend muss ich diese Layer in QGIS wieder I16schen, da ich sie nur temporar benétigt habe.
Sehr praktisch wére es, wenn die Funktionalitidt des Plugins beim DXF-Export direkt nutzbar wére.

Dies ist sicherlich auch flir andere zu exportierende Datenarten sinnvoll.

Jorg

#3 - 2015-07-22 11:26 PM - Andreas Neumann

- File dxf_export_layer by _attribute.png added

Hi Jorg,

But this is exactly what the "Project" -> "DXF Export" functionality does - see my uploaded screenshot. Next to each layer there is a drop-down list box
where you can select an attribute that determines the DXF layer name in the exported file. By default, it shows the QGIS layer name.

| agree, the Ul is not quite clear. It doesn't really tell you what this checkbox does. But it does what you want. Please try it.

For the next version we should improve the Ul a bit ...

Andreas

#4 - 2015-07-22 11:34 PM - Andreas Neumann

In my last mail it should read "It doesn't really tell you what this selection list does."

#5 - 2015-07-22 11:49 PM - Joerg Hippe

Hi Andreas,

That's perfect, so | need that. | had not found before. This function is really hidden. Thanks a lot for your help.

Jorg

#6 - 2015-07-23 12:04 AM - Andreas Neumann

- Assignee set to Jirgen Fischer

Hi Jargen,

For the DXF export - could you please add some text above the layer tree widget in the Ul explaining that the selection list next to the layer tree is meant for
the selection of a "layer attribute column"?
This is really not obvious to the average user - see this bug report and the comments above.

After that small Ul improvement, we can of course close this bug.

Thanks a lot for doing this small improvement. You can report this effort on the Uster support pool.

Andreas

#7 - 2015-07-23 12:05 AM - Andreas Neumann

Or maybe the layer tree widget could have a header line, like "Layer", "Layer attribute column"

#8 - 2015-07-23 05:07 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b26d9ac865b7065cd6418478a9b7c5db941cdc95".

#9 - 2015-07-23 11:20 PM - Andreas Neumann

- File new_dxf_export_dialog.png added

Jorg,

For your interest - attached is a screenshot how the improved DXF export dialog now looks like - it contains a new header line with "Layer" and "Output
layer attribute" and a tooltip explaining what it does: "Attribute containing the name of the destination layer in the DXF output".

I hope this is now sufficiently clear.

Thanks to Jurgen for fixing it!

#10 - 2015-07-23 11:37 PM - Joerg Hippe

Hi Andreas, hi Jlrgen,

thats perfect. So everyone sees immediately that this is at all possible, and also how it works.

many thanks

Jorg

#11 - 2015-07-23 11:48 PM - Jiirgen Fischer

Joerg Hippe wrote:

thats perfect. So everyone sees immediately that this is at all possible, and also how it works.

In German it's "Ausgabelayerattribut" and "Attribut, das den Namen des Ziellayers in der DXF-Ausgabe enthélt."
many thanks

np
